%define Name KleanSweep
Name: kleansweep
Version: 0.2.9
Release: alt6
Summary: Tool for reclaim disk space by finding unneeded files
Summary(uk_UA.CP1251):         
Summary(ru_RU.CP1251):         
License: %gpl2plus
Group: System/Configuration/Other
URL: http://linux.bydg.org/~yogin/
#URL: http://www.kde-apps.org/content/show.php?content=28631
Source: %url%name-%version.tar
Patch: %name-%version-alt.patch
Obsoletes: %name-rootmode
Packager: Led <led@altlinux.ru>

BuildRequires(pre): rpm-build-licenses
# Automatically added by buildreq on Sat Mar 01 2008
BuildRequires: ImageMagick flex gcc-c++ ghostscript-utils kdelibs-devel
BuildRequires: libqt3-devel python-modules tetex-latex

%description
%Name allows you to reclaim disk space by finding unneeded files.
It can search for files basing on several criterias; you can seek for:
  - empty files
  - empty directories
  - backup files
  - broken symbolic links
  - dead menu entries (.desktop files pointing to non-existing
    executables)
  - duplicated files
  - broken executables (executables in PATH with broken dependecies -
    e.g. missing libraries)
  - orphaned files (files not found in RPM or DPKG database)
  - obsolete thumbnails (thumbnails conforming to freedesktop.org
    standard, pointing to non-existing pictures) - requires 'identify'
    from ImageMagick
%Name consists of KDE-based graphical frontend and small helper
Perl script that performs actual searching. All searches, except for
orphaned files, duplicates and dead menu entries are as fast as usual
'find' would be.

%description -l uk_UA.CP1251
%Name      
 .
³   ,    :
  -  
  -  
  -  
  -   
  -    (.desktop-,    
    )
  -  
  -   (    RPM  DPKG )
  -   (    RPM  DPKG )
  -  thumbnail' (   
    ) (   freedesktop.org thumbnail', 
       ) -  identify 
    ImageMagick'.
%Name    KDE-   
Perl-,     .  , 
  ,    
 ,  ,      find.

%description -l ru_RU.CP1251
%Name      
 .
   ,    :
  -  
  -  
  -  
  -   
  -    (   
   .desktop-)
  -  
  -  
  -   (    RPM  DPKG )
  -  thumbnail' (  
     ) (  
    freedesktop.org thumbnail',    
    ) -  identify  ImageMagick'.
%Name    KDE-   
Perl-,     .  ,
   ,    
 ,  ,      find.


%prep
%setup
%patch -p1
tar xjf admin/scons-mini.tar.bz2


%build
CFLAGS="%optflags" \
./scons configure prefix=%_prefix
./scons -j%__nprocs
for s in 22 24 48 64 128; do
    convert -transparent "#FFFFFF" -resize ${s}x$s -depth 8 icons/%name{.svg,-$s.png}
done
bzip2 --keep --force --best -- ChangeLog
sed -e 's/%Name/& - root-mode/' \
    -e 's/^Exec=.*$/Exec=kdesu --nonewdcop -i %name -n -c %name/' \
    -e '/^Exec=/s/=.*$/=kdesu --nonewdcop -i %name -n -c %name/' \
    src/%name.desktop > src/%name-rootmode.desktop
iconv -f cp1251 -t utf-8 >> src/%name-root.desktop <<__MENU__
Name[uk]=%Name -  
Name[ru]=%Name -  
__MENU__


%install
./scons install DESTDIR=%buildroot

for s in 22 24 48 64 128; do
    install -D -m 0644 {icons/%name-$s,%buildroot%_iconsdir/hicolor/${s}x$s/apps/%name}.png
done
install -d -m 0755 %buildroot%_iconsdir/hicolor/scalable/apps
gzip --best --stdout icons/%name.svg > %buildroot%_iconsdir/hicolor/scalable/apps/%name.svgz

install -d -m 0755 %buildroot%_desktopdir
mv %buildroot{%_datadir/applnk/System/%name.desktop,%_desktopdir/}
install -m 0644 src/%name-rootmode.desktop %buildroot%_desktopdir/

%find_lang --with-kde %name


%post
%update_menus


%postun
%clean_menus


%files -f %name.lang
%doc AUTHORS ChangeLog.* README THANKS TODO
%_bindir/*
%_datadir/apps/%name
%_iconsdir/*/*/apps/*
%_desktopdir/*


%changelog
* Sun Nov 09 2008 Led <led@altlinux.ru> 0.2.9-alt6
- used internal scons
- cleaned up spec

* Sat Aug 09 2008 Led <led@altlinux.ru> 0.2.9-alt5
- fixed *.desktop

* Tue Mar 04 2008 Led <led@altlinux.ru> 0.2.9-alt4
- fixed *.desktop

* Sat Mar 01 2008 Led <led@altlinux.ru> 0.2.9-alt3
- added icons
- removed %name-rootmode subpackage
- fixed License

* Mon Dec 04 2006 Led <led@altlinux.ru> 0.2.9-alt2
- fixed %{name}*.desktop files

* Tue Oct 31 2006 Led <led@altlinux.ru> 0.2.9-alt1
- 0.2.9

* Thu Jun 29 2006 Led <led@altlinux.ru> 0.2.8-alt2
- fixed kleansweep-0.2.8-po.patch (fixed lapsuses by me and some fixes
  from sam<at>vhnet.ru

* Thu May 11 2006 Led <led@altlinux.ru> 0.2.8-alt1
- 0.2.8
- cleaned up spec
- uk and ru translation in upstream now
- removed kleansweep-0.2.6-i18n.patch (merged to upstream)
- added kleansweep-0.2.8-i18n.patch
- added kleansweep-0.2.8-po.patch

* Tue Apr 19 2006 Led <led@altlinux.ru> 0.2.7-alt3
- added "%Name - root-mode" to menu
- added %name-rootmode package
- fixed spec

* Wed Mar 29 2006 Led <led@altlinux.ru> 0.2.7-alt2
- updeted uk and ru translation

* Thu Mar 23 2006 Led <led@altlinux.ru> 0.2.7-alt1
- 0.2.7
- added uk translation
- added kleansweep-0.2.6-i18n.patch
- fix spec
- change URL from www.kde-apps.org to project's HomePage
- added ru translation

* Mon Feb 27 2006 Led <led@altlinux.ru> 0.2.6-alt1
- 0.2.6

* Wed Feb 22 2006 Led <led@altlinux.ru> 0.2.5-alt1
- 0.2.5

* Thu Jan 26 2006 Led <led@altlinux.ru> 0.2.4-alt2
- specified URL

* Tue Jan 24 2006 Led <led@altlinux.ru> 0.2.4-alt1
- initial build
